//=============================================================================
// PawnsList.
//
// Copyright(c) 2003, Winged Unicorn.
//=============================================================================
class PawnsList expands Info;


struct MCoopPlayer
{
	var string PlayerClass;		// the name of the class (i.e. "MCoop2.IceSkaarj")
	var name   AnimSequence;	// the name of the animation to play
	var byte   DrawScale;		// the size of the mesh
	var byte   PawnType;		// pawn type (used to check if this pawn is available)
					// Note: it's '255' for pawns that are always available (humans, nalis, etc)
};

var MCoopPlayer PlayerClasses[200];	// the classes I would like to load


function GetPlayersInfo(int Number, out string PlayerClass,
				    out name AnimSequence,
				    out float DrawScale,
				    out byte PawnType )
{
	PlayerClass  = PlayerClasses[Number].PlayerClass;
	AnimSequence = PlayerClasses[Number].AnimSequence;
	DrawScale    = 0.01 * PlayerClasses[Number].DrawScale;
	PawnType     = PlayerClasses[Number].PawnType;
}

function string GetPlayerClassInfo(int Number)
{
	return PlayerClasses[Number].PlayerClass;
}

defaultproperties
{
				PlayerClasses(0)=(PlayerClass="MCoop2.MCoopFemaleOne",AnimSequence="Victory1",DrawScale=10,PawnType=255)
				PlayerClasses(1)=(PlayerClass="MCoop2.MCoopFemaleTwo",AnimSequence="Look",DrawScale=10,PawnType=255)
				PlayerClasses(2)=(PlayerClass="MCoop2.MCoopMaleOne",AnimSequence="Taunt1",DrawScale=10,PawnType=255)
				PlayerClasses(3)=(PlayerClass="MCoop2.MCoopMaleTwo",AnimSequence="Wave",DrawScale=10,PawnType=255)
				PlayerClasses(4)=(PlayerClass="MCoop2.MCoopMaleThree",AnimSequence="Victory1",DrawScale=10,PawnType=255)
				PlayerClasses(5)=(PlayerClass="MCoop2.MCoopSkaarjPlayer",AnimSequence="Breath",DrawScale=10,PawnType=255)
				PlayerClasses(6)=(PlayerClass="MCoop2.MCoopNaliPlayer",AnimSequence="Victory1",DrawScale=10,PawnType=255)
				PlayerClasses(7)=(PlayerClass="MCoop2.MCoopNaliPriest",AnimSequence="spell",DrawScale=10,PawnType=255)
				PlayerClasses(8)=(PlayerClass="MCoop2.MCoopBird",AnimSequence="Flight",DrawScale=9)
				PlayerClasses(9)=(PlayerClass="MCoop2.MCoopNaliCow",AnimSequence="Chew",DrawScale=9,PawnType=13)
				PlayerClasses(10)=(PlayerClass="MCoop2.MCoopBabyCow",AnimSequence="shake",DrawScale=5,PawnType=13)
				PlayerClasses(11)=(PlayerClass="MCoop2.MCoopNaliRabbit",AnimSequence="Eat",DrawScale=10,PawnType=14)
				PlayerClasses(12)=(PlayerClass="MCoop2.MCoopHorseFly",AnimSequence="Flying",DrawScale=20,PawnType=9)
				PlayerClasses(13)=(PlayerClass="MCoop2.MCoopFly",AnimSequence="Flying",DrawScale=10,PawnType=5)
				PlayerClasses(14)=(PlayerClass="MCoop2.MCoopGasBag",AnimSequence="Float",DrawScale=8,PawnType=6)
				PlayerClasses(15)=(PlayerClass="MCoop2.MCoopGiantGasBag",AnimSequence="Grab",DrawScale=12,PawnType=7)
				PlayerClasses(16)=(PlayerClass="MCoop2.MCoopManta",AnimSequence="Fly",DrawScale=8,PawnType=11)
				PlayerClasses(17)=(PlayerClass="MCoop2.MCoopCaveManta",AnimSequence="Fly",DrawScale=8,PawnType=11)
				PlayerClasses(18)=(PlayerClass="MCoop2.MCoopGiantManta",AnimSequence="Fly",DrawScale=15,PawnType=8)
				PlayerClasses(19)=(PlayerClass="MCoop2.MCoopDevilFish",AnimSequence="Swimming",DrawScale=9,PawnType=4)
				PlayerClasses(20)=(PlayerClass="MCoop2.MCoopBiterFish",AnimSequence="Swim1",DrawScale=18,PawnType=1)
				PlayerClasses(21)=(PlayerClass="MCoop2.MCoopSquid",AnimSequence="Fighter",DrawScale=8,PawnType=20)
				PlayerClasses(22)=(PlayerClass="MCoop2.MCoopBlob",AnimSequence="Glob3",DrawScale=8,PawnType=2)
				PlayerClasses(23)=(PlayerClass="MCoop2.MCoopPupae",AnimSequence="Tear",DrawScale=10,PawnType=15)
				PlayerClasses(24)=(PlayerClass="MCoop2.MCoopTentacle",AnimSequence="Waver",DrawScale=7,PawnType=21)
				PlayerClasses(25)=(PlayerClass="MCoop2.MCoopSlith",AnimSequence="SCRATCH",DrawScale=10,PawnType=19)
				PlayerClasses(26)=(PlayerClass="MCoop2.MCoopBrute",AnimSequence="Gutshot",DrawScale=8,PawnType=3)
				PlayerClasses(27)=(PlayerClass="MCoop2.MCoopLesserBrute",AnimSequence="CockGun",DrawScale=7,PawnType=3)
				PlayerClasses(28)=(PlayerClass="MCoop2.MCoopBehemoth",AnimSequence="WalkFire",DrawScale=9,PawnType=3)
				PlayerClasses(29)=(PlayerClass="MCoop2.MCoopKrall",AnimSequence="Laugh",DrawScale=10,PawnType=10)
				PlayerClasses(30)=(PlayerClass="MCoop2.MCoopKrallElite",AnimSequence="Twirl",DrawScale=10,PawnType=10)
				PlayerClasses(31)=(PlayerClass="MCoop2.MCoopMercenary",AnimSequence="NeckCrak",DrawScale=10,PawnType=12)
				PlayerClasses(32)=(PlayerClass="MCoop2.MCoopMercenaryElite",AnimSequence="BigDance",DrawScale=10,PawnType=12)
				PlayerClasses(33)=(PlayerClass="MCoop2.MCoopSkaarjTrooper",AnimSequence="Breath2",DrawScale=10,PawnType=17)
				PlayerClasses(34)=(PlayerClass="MCoop2.MCoopSkaarjGunner",AnimSequence="Shield",DrawScale=10,PawnType=17)
				PlayerClasses(35)=(PlayerClass="MCoop2.MCoopSkaarjInfantry",AnimSequence="guncheck",DrawScale=10,PawnType=17)
				PlayerClasses(36)=(PlayerClass="MCoop2.MCoopSkaarjOfficer",AnimSequence="Fighter",DrawScale=10,PawnType=17)
				PlayerClasses(37)=(PlayerClass="MCoop2.MCoopSkaarjSniper",AnimSequence="gunfix",DrawScale=10,PawnType=17)
				PlayerClasses(38)=(PlayerClass="MCoop2.MCoopSkaarjWarrior",AnimSequence="Breath",DrawScale=10,PawnType=18)
				PlayerClasses(39)=(PlayerClass="MCoop2.MCoopSkaarjAssassin",AnimSequence="WalkFire",DrawScale=10,PawnType=18)
				PlayerClasses(40)=(PlayerClass="MCoop2.MCoopSkaarjBerserker",AnimSequence="Stretch",DrawScale=12,PawnType=18)
				PlayerClasses(41)=(PlayerClass="MCoop2.MCoopIceSkaarj",AnimSequence="hairflip",DrawScale=10,PawnType=18)
				PlayerClasses(42)=(PlayerClass="MCoop2.MCoopSkaarjScout",AnimSequence="gunfix",DrawScale=10,PawnType=18)
				PlayerClasses(43)=(PlayerClass="MCoop2.MCoopSkaarjLord",AnimSequence="guncheck",DrawScale=11,PawnType=18)
				PlayerClasses(44)=(PlayerClass="MCoop2.MCoopWarLord",AnimSequence="Point",DrawScale=5,PawnType=23)
				PlayerClasses(45)=(PlayerClass="MCoop2.MCoopTitan",AnimSequence="TFist",DrawScale=4,PawnType=22)
				PlayerClasses(46)=(PlayerClass="MCoop2.MCoopStoneTitan",AnimSequence="TSnif001",DrawScale=4,PawnType=22)
				PlayerClasses(47)=(PlayerClass="MCoop2.MCoopQueen",AnimSequence="Meditate",DrawScale=5,PawnType=16)
				PlayerClasses(48)=(PlayerClass="UnrealShare.UnrealSpectator",PawnType=255)
}
